.qmarkBefore{
    display: inline-block;
    cursor: default;
    background-color: rgb(0,68,121);
    width: 19px;
    height: 19px;
    border-radius: 50%;
    border-color: black;
    text-align: center;
    color: #FFF;
    margin-right: 8px;
}

div form label:not([for*="t_goals"]) span{
    display:None;
}

.form-control, .integer, .string, .float{
    margin: 0px 0px 20px 0;
}

tr > td, tr > th{
    padding-bottom: 10px;
}

td .form-control, td .integer, td .string, td .float{
    margin: 0px 0px 0px 0;
    width: 50%;
}

.qmarkbefore:hover + span{
    display: block;
}

div[id*="label"] span{
    font-size: 16px;
    display: none;
    color:rgb(121,121,121);
    font-style: italic;
}

.circle>label>span>span, .economicCircle>label>span>span{
    font-size: 16px;
    display: none;
    color:rgb(121,121,121);
    font-style: italic;
}
/*
/*Product Data Blocks
#individualizationpercentage:hover + [id*="individualizationpercentage_"] span{
    display: block;
}

#inspectedpercentage:hover + [id*="inspectedpercentage_"] span{
    display: block;
}

#productvariantsonapplication:hover + [id*="productvariantsonapplication_"] span{
    display: block;
}

#totalproductvariants:hover + [id*="totalproductvariants_"] span{
    display: block;
}

#reworkpercentage:hover + [id*="reworkpercentage_"] span{
    display: block;
}

#timetorework:hover + [id*="timetorework_"] span{
    display: block;
}

#individualizationadditionalprofit:hover + [id*="individualizationadditionalprofit_"] span{
    display: block;
}

#sellingprice:hover + [id*="sellingprice_"] span{
    display: block;
}

#materialcostpart:hover + [id*="materialcostpart_"] span{
    display: block;
}

#qualitycontrolcostpart:hover + [id*="qualitycontrolcostpart_"] span{
    display: block;
}

#disposalcostpart:hover + [id*="disposalcostpart_"] span{
    display: block;
}

#materialcostrework:hover + [id*="materialcostrework_"] span{
    display: block;
}

#wagerework:hover + [id*="wagerework_"] span{
    display: block;
}

/*Application Data Blocks

#applicationperceivedlatency:hover + [id*="applicationperceivedlatency_label"] span{
    display: block;
}

#cablelength:hover + [id*="cablelength_label"] span{
    display: block;
}

#controlbitspersec:hover + [id*="controlbitspersec_label"] span{
    display: block;
}

#numbersensors_4g:hover + [id*="numbersensors_4g_label"] span{
    display: block;
}

#numbersensors_5g:hover + [id*="numbersensors_5g_label"] span{
    display: block;
}

#numbersensors_wifi:hover + [id*="numbersensors_wifi_label"] span{
    display: block;
}

#numbersensors_wired:hover + [id*="numbersensors_wired_label"] span{
    display: block;
}

#applications_total:hover + [id*="applications_total_label"] span{
    display: block;
}

#costcable:hover + [id*="costcable_label"] span{
    display: block;
}

#costsensors_4g:hover + [id*="costsensors_4g_label"] span{
    display: block;
}

#costsensors_5g:hover + [id*="costsensors_5g_label"] span{
    display: block;
}

#costsensors_wifi:hover + [id*="costsensors_wifi_label"] span{
    display: block;
}

#costsensors_wired:hover + [id*="costsensors_wired_label"] span{
    display: block;
}


/*Technical Robot Data Blocks

#batteryoperationtimepercharge:hover + [id*="batteryoperationtimepercharge_label"] span,
#batterycapacity:hover + [id*="batterycapacity_label"] span,
#batteryvoltage:hover + [id*="batteryvoltage_label"] span,
#speed_average:hover + [id*="speed_average_label"] span,
#speedcurve_average:hover + [id*="speedcurve_average_label"] span,
#speedcrossing_average:hover + [id*="speedcrossing_average_label"] span,
#paths_over5m:hover + [id*="paths_over5m_label"] span,
#paths_over35m:hover + [id*="paths_over35m_label"] span,
#loadingsperroute:hover + [id*="loadingsperroute_label"] span,
#f_loadingduration:hover + [id*="f_loadingduration_label"] span{
    display: block;
}

#batteryoperationtimepercharge:hover + [id*="batteryoperationtimepercharge_label"] p,
#batterycapacity:hover + [id*="batterycapacity_label"] p,
#batteryvoltage:hover + [id*="batteryvoltage_label"] p,
#speed_average:hover + [id*="speed_average_label"] p,
#speedcurve_average:hover + [id*="speedcurve_average_label"] p,
#speedcrossing_average:hover + [id*="speedcrossing_average_label"] p,
#paths_over5m:hover + [id*="paths_over5m_label"] p,
#paths_over35m:hover + [id*="paths_over35m_label"] p,
#loadingsperroute:hover + [id*="loadingsperroute_label"] p,
#f_loadingduration:hover + [id*="f_loadingduration_label"] p{
    display: none;
}
*/


/*Economic Failure Data Blocks

#wagerepairstaff:hover + #t_economicFailureData_f_wagerepairstaff_label span{
    display: block;
}

#costmaterialrepair:hover + #t_economicFailureData_f_costmaterialrepair_label span{
    display: block;
}

#costmedical:hover + #t_economicFailureData_f_costmedical_label span{
    display: block;
}

#costfinancialcompensation:hover + #t_economicFailureData_f_costfinancialcompensation_label span{
    display: block;
}

#costtrainnewemployees:hover + #t_economicFailureData_f_costtrainnewemployees_label span{
    display: block;
}

#costdelay:hover + #t_economicFailureData_f_costdelay_label span{
    display: block;
}

#costcomplaint:hover + #t_economicFailureData_f_costcomplaint_label span{
    display: block;
}

/*Technical Failure Data Blocks

#totalorders:hover + #t_technicalFailureData_f_totalorders_label span{
    display: block;
}

#delayedorders:hover + #t_technicalFailureData_f_delayedorders_label span{
    display: block;
}

#costumercomplaints:hover + #t_technicalFailureData_f_costumercomplaints_label span{
    display: block;
}

#humancausedaccidents:hover + #t_technicalFailureData_f_humancausedaccidents_label span{
    display: block;
}

#applicationcausedaccidents:hover + #t_technicalFailureData_f_applicationcausedaccidents_label span{
    display: block;
}

#fecontrolsystemmalfunctions:hover + #t_technicalFailureData_f_fecontrolsystemmalfunctions_label span{
    display: block;
}

#fedisabledcommunication:hover + #t_technicalFailureData_f_fedisabledcommunication_label span{
    display: block;
}

#femechanicfailure:hover + #t_technicalFailureData_f_femechanicfailure_label span{
    display: block;
}

#fecollision:hover + #t_technicalFailureData_f_fecollision_label span{
    display: block;
}

#fewrongsetup:hover + #t_technicalFailureData_f_fewrongsetup_label span{
    display: block;
}

#fewrongtaskexecution:hover + #t_technicalFailureData_f_fewrongtaskexecution_label span{
    display: block;
}

#fecyberattack:hover + #t_technicalFailureData_f_fecyberattack_label span{
    display: block;
}

#feunknownreason:hover + #t_technicalFailureData_f_feunknownreason_label span{
    display: block;
}

#timebetweenfailures:hover + #t_technicalFailureData_f_timebetweenfailures_label span{
    display: block;
}

#mintimetorepair:hover + #t_technicalFailureData_f_mintimetorepair_label span{
    display: block;
}

#maxtimetorepair:hover + #t_technicalFailureData_f_maxtimetorepair_label span{
    display: block;
}

/*Economic Process Data Blocks

#costofapplicationdowntime:hover + #t_economicProcessData_f_costofapplicationdowntime_label span{
    display: block;
}

#wagesetup:hover + #t_economicProcessData_f_wagesetup_label span{
    display: block;
}

#wageoperator:hover + #t_economicProcessData_f_wageoperator_label span{
    display: block;
}

#costofwirelesssensor:hover + #t_economicProcessData_f_costofwirelesssensor_label span{
    display: block;
}

#costofwiredsensor:hover + #t_economicProcessData_f_costofwiredsensor_label span{
    display: block;
}

#costofcontroller:hover + #t_economicProcessData_f_costofcontroller_label span{
    display: block;
}

#costofcableharness:hover + #t_economicProcessData_f_costofcableharness_label span{
    display: block;
}

/*Technical Process Data Blocks

#plannedruntimeperpart:hover + #t_technicalProcessData_f_plannedruntimeperpart_label span{
    display: block;
}

#plannedleadtime:hover + #t_technicalProcessData_f_plannedleadtime_label span{
    display: block;
}

#plannedbatchsize:hover + #t_technicalProcessData_f_plannedbatchsize_label span{
    display: block;
}

#plannedapplicationsetuptime:hover + #t_technicalProcessData_f_plannedapplicationsetuptime_label span{
    display: block;
}

#plannedapplicationdowntime:hover + #t_technicalProcessData_f_plannedapplicationdowntime_label span{
    display: block;
}

#runtimeperpart:hover + #t_technicalProcessData_f_runtimeperpart_label span{
    display: block;
}

#leadtime:hover + #t_technicalProcessData_f_leadtime_label span{
    display: block;
}

#batchsize:hover + #t_technicalProcessData_f_batchsize_label span{
    display: block;
}

#applicationtransporttime:hover + #t_technicalProcessData_f_applicationtransporttime_label span{
    display: block;
}

#applicationsetuptime:hover + #t_technicalProcessData_f_applicationsetuptime_label span{
    display: block;
}

#applicationdowntime:hover + #t_technicalProcessData_f_applicationdowntime_label span{
    display: block;
}

/*Facility Data Blocks


#plantarea_total:hover + span{
    display: block;
}

#manufacturingarea:hover + #t_facilitydata_f_manufacturingarea_label span{
    display: block;
}

#storagearea:hover + #t_facilitydata_f_storagearea_label span{
    display: block;
}

#reworkarea:hover + #t_facilitydata_f_reworkarea_label span{
    display: block;
}

#electricpowerconsumption:hover + #t_facilitydata_f_electricpowerconsumption_label span{
    display: block;
}

#compressedairconsumption:hover + #t_facilitydata_f_compressedairconsumption_label span{
    display: block;
}

#gasconsumption:hover + #t_facilitydata_f_gasconsumption_label span{
    display: block;
}

#waterconsumption:hover + #t_facilitydata_f_waterconsumption_label span{
    display: block;
}

#facilityrentalcost:hover + #t_facilitydata_f_facilityrentalcost_label span{
    display: block;
}

#facilitymaintenancecost:hover + #t_facilitydata_f_facilitymaintenancecost_label span{
    display: block;
}

#costelectricpower:hover + #t_facilitydata_f_costelectricpower_label span{
    display: block;
}

#costcompressedair:hover + #t_facilitydata_f_costcompressedair_label span{
    display: block;
}

#costgas:hover + #t_facilitydata_f_costgas_label span{
    display: block;
}

#costwater:hover + #t_facilitydata_f_costwater_label span{
    display: block;
}

#paths_total:hover + #t_facilitydata_f_paths_total_label span{
    display: block;
}
*/
